import { editor } from 'monaco-editor';
import { IReference, ITextFileEditorModel } from 'vscode/monaco';
import '@codingame/monaco-vscode-theme-defaults-default-extension';
import '@codingame/monaco-vscode-json-default-extension';
import { MonacoLanguageClient } from 'monaco-languageclient';
import { MessageTransports } from 'vscode-languageclient';
import { Uri } from 'vscode';
export declare const createLanguageClient: (transports: MessageTransports) => MonacoLanguageClient;
export declare const createUrl: (hostname: string, port: number, path: string, searchParams?: Record<string, any>, secure?: boolean) => string;
export declare const createWebSocketAndStartClient: (url: string) => WebSocket;
export declare const createDefaultJsonContent: () => string;
export type ExampleJsonEditor = {
    languageId: string;
    editor: editor.IStandaloneCodeEditor;
    uri: Uri;
    modelRef: IReference<ITextFileEditorModel>;
};
export declare const performInit: (vscodeApiInit: boolean) => Promise<void>;
export declare const createJsonEditor: (config: {
    htmlElement: HTMLElement;
    content: string;
}) => Promise<ExampleJsonEditor>;
//# sourceMappingURL=client-commons.d.ts.map